パッケージの取得
get
/ic/api/integration/v1/packages/{packagename}
指定された名前のパッケージに関する詳細情報を取得します。
リクエスト
パス・パラメータ
問合せパラメータ
- includeDependencies: boolean
レスポンスの統合セクションに統合依存性情報を含めます。
- integrationInstance(required): string
これはサービス・インスタンスの名前です。 この値は、サービス・インスタンス・フィールドで指定した情報ページから取得できます。
この操作のリクエスト本文がありません。
トップに戻るレスポンス
サポートされているメディア・タイプ
- application/json; charset=utf-8, application/vnd.oracle.resource+json;type=singular
200レスポンス
操作の成功
ルート・スキーマ : PackageRs
型:
ソースを表示
object-
barta-built-by: string
BA (Business Accelerator) | R (レシピ) | TA (Technical Accelerator) builtBy
-
barta-type: string
タイプBA (Business Accelerator) | R (レシピ) | TA (Technical Accelerator)
-
count-of-integrations: integer (int32)
統合数
-
integrations: array integrations
統合リスト
-
is-clone-allowed: boolean
クローンの許可を確認するフラグ
-
is-view-allowed: boolean
表示可能かどうかをチェックするフラグ
-
name: string
パッケージ名
-
type: string
パッケージ・タイプ
ネストされたスキーマ : IntegrationBaseResource-allOf[2]
型:
ソースを表示
object-
apipId: string
-
code: string
-
created: string (date-time)
-
createdBy: string
-
dependencies: object IntegrationDependencyRs
-
description: string
-
docUrl: string
-
endPointURI: string
-
eventSubscriptionFlag: boolean
-
filmstrip: array filmstrip
-
keywords: string
-
lastUpdated: string (date-time)
-
lastUpdatedBy: string
-
lockedBy: string
-
lockedDate: string (date-time)
-
lockedFlag: boolean
-
name: string
-
pattern: string
-
patternDescription: string
-
payloadTracingEnabledFlag: boolean
-
proxyWSDL: string
-
publishFlag: boolean
-
reactivationStatus: string
-
scheduleApplicable: boolean
-
scheduleDefined: boolean
-
smartTags: string
-
status: string
-
style: string
-
styleDescription: string
-
tempCopyExists: boolean
-
tracingEnabledFlag: boolean
-
version: string
-
warningMsg: string
404レスポンス
パッケージが見つかりません
500レスポンス
サーバー・エラー
例
次の例では、cURLを使用してRESTリソースに対するGETリクエストを発行することによって、パッケージの詳細を取得する方法を示しています。 cURLの詳細は、「cURLの使用」を参照してください。 エンドポイントURLの構造の詳細は、「リクエストの送信」を参照してください。
例: パッケージsamples.oracle.helloworldの詳細を取得
curl -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json"
https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/packages/samples.oracle.helloworld?integrationInstance=service-instance例: パッケージsamples.oracle.helloworldの詳細を取得し、依存性情報をレスポンスに含めます
curl -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json"
https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/packages/samples.oracle.helloworld?includeDependencies=true?integrationInstance=service-instance依存性情報を含むレスポンスの例:
{
"bartaType": "DEVELOPED",
"countOfIntegrations": 4,
"id": "samples.oracle.helloworld",
"integrations": [
{
"code": "API_USECASE3",
"dependencies": {
"connections": [
{
"id": "FTP_API_SLC02GAD",
"name": "FTP_API_SLC02GAD",
"role": "SOURCE_AND_TARGET",
"status": "INPROGRESS",
"type": "ftp"
}
]
},
...
}